#include "../../include/all.h"

#include <stdio.h>
#include <stdlib.h>

#define DATA_DIR "/tmp/data"

int main(int argc, char *argv[]) {
  int ret = EXIT_FAILURE;

  if (argc != 2) {
    printf("usage: %s <pool url>\n", argv[0]);
    return ret;
  }

  lm_ctx_t ctx;
  lm_ctx_init(&ctx);

  if (!lm_ctx_set_data(&ctx, DATA_DIR)) {
    printf("failed to set data dir: %s (%d)\n", lm_strerror(), lm_error());
    goto end;
  }

  if (!lm_ctx_pools_add(&ctx, "test", argv[1])) {
    printf("failed to add pool: %s (%d)\n", lm_strerror(), lm_error());
    goto end;
  }

  lm_ctx_pools_test(&ctx);

  if (!lm_ctx_pools_load(&ctx, true, NULL, NULL)) {
    printf("failed to load pools: %s (%d)\n", lm_strerror(), lm_error());
    goto end;
  }

  ret = EXIT_SUCCESS;

end:
  lm_ctx_free(&ctx);
  return ret;
}
